@echo off
rem  
rem  Rename this file to SORT.BAT if you have SORTF.COM in the
rem  current directory or path.
rem  
rem   When $tokSym runs, it checks for the existence of the file
rem   SORT.BAT and - if it's found - uses the specified external SORT
rem   program intstead of the slower internal sort routine.
rem   When the sort option is selected, $tokSym passes the following
rem   parameters:
rem   %1 = the string STOKSYM.DAT or FUNDSYM.DAT (filename to be sorted)
rem   %2 = the string SYMBOL or NAME (sort by symbol or company name)
rem
rem   Because STOKSYM.DAT and FUNDSYM.DAT are saved as random access
rem   files, the SORT.COM program provided with DOS cannot read them.
rem   Two routines that will sort such files are SORTF and KSORT.
rem
rem   SORTF (copyright 1985-1990 by Vernon D. Buerg) is a small and fast
rem   general purpose sorting routine.  Like just about everything else
rem   Buerg has produced, you probably won't find anything better.  SORTF
rem   is Shareware and has a registration fee of only $15.
rem
rem   KSORT (copyright 1989 by kSoft) includes full C source code and is
rem   - to the best of my knowlege - free.  It's compiles into a rather
rem   large program, however, and isn't nearly as fast as SORTF.
rem
rem   Either of these programs can sort a random access file if the
rem   record and field sizes are specified.  The symbols and companies
rem   in STOKSYM.DAT require exactly 40 bytes, 10 for the symbol and 30
rem   for the company name.  The names of mutual funds are usually very
rem   long, so FUNDSYM.DAT reserves 10 bytes for the symbol and 50 for
rem   the fund name.
rem
rem   For example, typing "SORT STOKSYM.DAT NAME" will sort the stock
rem   symbols file by company name.
rem
rem   The following batch file will pass the correct parameters to SORTF
rem   for sorting either STOKSYM.DAT or FUNDSYM.DAT by symbol or name:
rem
rem -----------------------------------------------------------------------
if %1 == STOKSYM.DAT goto STKSYM
if %1 == FUNDSYM.DAT goto FNDSYM
echo Please use the following syntax:
echo SORT filename key
echo where:  filename is either STOKSYM.DAT or FUNDSYM.DAT
echo         key is either SYMBOL or NAME (sort by symbol or name)
goto END
:STKSYM
if %2 == NAME goto STKNAM
echo .
echo Using SORTF.COM to sort stocks by symbol...
sortf %1 SORTFILE.DAT /C/Q/L40 /1,10
goto COPYBACK
:STKNAM
echo .
echo Using SORTF.COM to sort stocks by company name...
sortf %1 SORTFILE.DAT /C/Q/L40 /+11,30
goto COPYBACK
:FNDSYM
if %2 == NAME goto FNDNAM
echo .
echo Using SORTF.COM to sort mutual funds by symbol...
sortf %1 SORTFILE.DAT /C/Q/L60 /1,10
goto COPYBACK
:FNDNAM
echo .
echo Using SORTF.COM tp sorting mutual funds by name...
sortf %1 SORTFILE.DAT /C/Q/L60 /+11,50
:COPYBACK
copy SORTFILE.DAT %1
del SORTFILE.DAT
:END

